import express from "express";
import Room from "../abl/Room-abl";
import validator from "../validator/validator";
const router = express.Router();

/**
 * Return all messages from a room
 */
router.get("/:roomId/messages", async (req, res) => {
    await validator.validate("getMessages", req.params, res, Room.getMessages);
});

/**
 * Return all members from a room
 */
router.get("/:roomId/members", async (req, res) => {
    await validator.validate("getMembers", req.params, res, Room.getMembers);
});

router.post("/response", async (req, res) => {
    await validator.validate("response", req.body, res, Room.response);
});

export default router;
