import API from "./API";

export default {
    registerAccount(data: object) {
        return API().post("/account/register", data);
    },
    getAccounts() {
        return API().get("/account/getAll");
    },
    getRooms(mailboxId: number) {
        return API().get(`/account/${mailboxId}/rooms`);
    },
    getMessages(roomId: number) {
        return API().get(`/room/${roomId}/messages`);
    },
    getMembers(roomId: number) {
        return API().get(`/room/${roomId}/members`);
    },
    addFlag(data: { mailboxId: number; messageId: number; flag: string }) {
        return API().post(`/message/addFlag`, data);
    },
    removeFlag(data: { mailboxId: number; messageId: number; flag: string }) {
        return API().post(`/message/removeFlag`, data);
    },
    reponseEmail(data: { user: string; roomId: number; text: string; html: string }) {
        return API().post(`/room/response`, data);
    },
};
